package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.apache.commons.lang.BooleanUtils;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.EsquemaCorridaEmbarqueDesembarque;

public class RenderEsquemaCorridaEmbarqueDesembarque implements ListitemRenderer {

    public void render(Listitem listItem, Object object) throws Exception {
		EsquemaCorridaEmbarqueDesembarque esquemaCorridaEmbarqueDesembarque = (EsquemaCorridaEmbarqueDesembarque) object;
        new Listcell(esquemaCorridaEmbarqueDesembarque.getParada().getDescparada()).setParent(listItem);
        new Listcell(esquemaCorridaEmbarqueDesembarque.getLocalDesembarqueEmbarque() == null ?  "" : 
        	esquemaCorridaEmbarqueDesembarque.getLocalDesembarqueEmbarque().getDescparada()).setParent(listItem);
        new Listcell(BooleanUtils.isTrue(esquemaCorridaEmbarqueDesembarque.getEmbarque()) ? "Sim" : "Não").setParent(listItem);
        new Listcell(BooleanUtils.isTrue(esquemaCorridaEmbarqueDesembarque.getDesembarque()) ? "Sim" : "Não").setParent(listItem);
        new Listcell(BooleanUtils.isTrue(esquemaCorridaEmbarqueDesembarque.getIsVisualizarNaAPI()) || esquemaCorridaEmbarqueDesembarque.getIsVisualizarNaAPI()==null  ? "Sim" : "Não").setParent(listItem);
        listItem.setAttribute("data", esquemaCorridaEmbarqueDesembarque);
    }
}
